Package com.google.debugging.sourcemap

# Class SourceMapConsumerV2

java.lang.Object
com.google.debugging.sourcemap.SourceMapConsumerV2

All Implemented Interfaces:
  `SourceMapConsumer`, `SourceMapping`

public class SourceMapConsumerV2 extends Object implements SourceMapConsumer
Class for parsing version 2 of the SourceMap format, as produced by the Closure Compiler, etc.

## Constructor Summary

Constructors
Constructor
Description
`SourceMapConsumerV2()`

## Method Summary

Modifier and Type
Method
Description
`Mapping.OriginalMapping`
`getMappingForLine(int lineNumber, int columnIndex)`
Returns the original mapping for the line number and column position found in the source map.
`void`
`parse(String contents)`
Parses the given contents containing a source map.
`void`
`parse(org.json.JSONObject sourceMapRoot)`
Parses the given contents containing a source map.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SourceMapConsumerV2

public SourceMapConsumerV2()

## Method Details

### parse

public void parse(String contents) throws SourceMapParseException
Parses the given contents containing a source map.

Specified by:
  `parse` in interface `SourceMapConsumer`
Throws:
  `SourceMapParseException`

### parse

public void parse(org.json.JSONObject sourceMapRoot) throws SourceMapParseException
Parses the given contents containing a source map.

Throws:
  `SourceMapParseException`

### getMappingForLine

public Mapping.OriginalMapping getMappingForLine(int lineNumber, int columnIndex)
Description copied from interface: `SourceMapping`
Returns the original mapping for the line number and column position found in the source map. Returns null if none is found.

Specified by:
  `getMappingForLine` in interface `SourceMapping`
Parameters:
  `lineNumber` - The line number, with the first being '1'.
  `columnIndex` - The column index, with the first being '1'.